Page MenuHomePhabricator

Investigate whether we can use OOUI overlays with Vue contents
Closed, ResolvedPublic

Description

Instead of reimplementing overlay functionality, we would like to see if we can create an OOUI overlay with empty content (<div id="unique-hash-a1b2c3d4" />) and instruct a Vue component to mount itself inside the overlay. OO.ui.Dialog

Event Timeline

Pablo-WMDE updated the task description. (Show Details)Jul 4 2019, 8:38 AM
Pablo-WMDE moved this task from To do to Doing on the Wikidata-Bridge-Sprint-1 board.

Change 521493 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[mediawiki/extensions/Wikibase@master] bridge: use OO dialog and mount vue app into it

https://gerrit.wikimedia.org/r/521493

Change 522038 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[mediawiki/extensions/Wikibase@master] lib: make vue 2 available as ResourceLoader module

https://gerrit.wikimedia.org/r/522038

Pablo-WMDE added a comment.EditedJul 12 2019, 2:50 PM

Finding: apparently this can be done

Plan:

  • T227890
    • make "vue2" available as ResourceLoader module in wb
    • use global version of ("vue2-global") of "vue2" ResourceLoader module in Lexeme to prove sharing it works
    • use "vue2" ResourceLoader module in bridge
    • tease termbox people to consider migrating to use the "vue2" ResourceLoader module as well => T228528
  • T227891
    • implement overlay using OO.ui.Dialog (init) and use vue only inside of it (app)

Change 523863 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[mediawiki/extensions/Wikibase@master] bridge: add browser tests

https://gerrit.wikimedia.org/r/523863

Pablo-WMDE closed this task as Resolved.Jul 17 2019, 8:51 AM

Change 522038 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] lib: make vue 2 available as ResourceLoader module

https://gerrit.wikimedia.org/r/522038

Change 521493 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: use OO dialog and mount vue app into it

https://gerrit.wikimedia.org/r/521493

Change 523863 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: add browser tests

https://gerrit.wikimedia.org/r/523863